Subject: Re: bug#2549: 23.0.60; doc-view: scrolling other window wraps unexpectedly

From: Tassilo Horn <[email-masked]>
Date: Tue, 03 Mar 2009 20:14:23 +0100

Stefan Monnier <[email-masked]> writes:

>> That's because `scroll-other-window' calls scroll-up/down in the
>> other window, but if the other window contains an doc-view buffer it
>> should ideally call image-scroll-up/down.
>
>> The only good solution I see is to define buffer local variables
>> `scroll-up-function' and `scroll-down-function' which are used by
>> `scroll-up' and `scroll-down' and then binding them appropriate in
>> each mode.
>
> Indeed, something like a hook seems necessary.  I'd rather leave it as
> is for Emacs-23.1, tho.  Makes me wonder: do we have a way to tag bugs
> as "post-23.1"?

We could abuse the "Version:" pseudo-header for that or create a new tag
for that.  The latter seems more desirable, but I don't know how to
create a tag.  Maybe they're created automagically?  I'll try by sending

  tags 2549 + post-23.1

to the control server address...

Bye,
Tassilo